
USE SVH_REPORT_DB
GO


/*
|| Autor: Jhon Reyes
|| Fecha: 2022.09.08
||	Proceso: Contiene las URs a incluir al perímetro de cartera.
||				Motivo por lo que se incluyen:
||					- Petición AdHoc
||						- Incluir ventas que se excluyen por estar fuera de periodo de gestión SVH, pero que realmente SI las gestionó SVH. 
||							- Periodo de gestión inicia en mayo, pero hubieron ventas que se gestionaron en abril.
||
|| Periodicidad Ejecución: Se tiene que ejecutar en cada cierre. Mantiene el historico de ejecuciones
||
|| Nota: Existe otro proceso para incluir URs, pero que se ejecuta bajo petición, por eso no se incluye aquí, 
||			ya este script está dentro del flujo normal de ejecución de cada cierre.
||
||			- Ruta scritps: "\\08. Workaround Template\01. Scripts Post DMT\01. Perimetro. Incluir URs"
*/


--========================================================================================================================================
--																		PERIMETRO. Incluir URs		
--========================================================================================================================================

/*
|| Incluir URs Vendidas en Abril	
|| Ventas del mes de abril, gestionadas por SVH. Siempre se deben de incluir.					 
*/

/*
DELETE FROM [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] WHERE CONTROL_PERIMETRO = 'INCLUIR URS'

INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(240, 60731375, 'INCLUIR URS - UR_MAESTRO', '202206', 'Extracción de los datos desde UR_MAESTRO', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(240, 60731378, 'INCLUIR URS - UR_MAESTRO', '202206', 'Extracción de los datos desde UR_MAESTRO', 'X', '2022-07-01')

INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717506, 'INCLUIR URS', '202205', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60716194, 'INCLUIR URS', '202205', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717638, 'INCLUIR URS', '202205', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60719193, 'INCLUIR URS', '202205', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717356, 'INCLUIR URS', '202205', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717797, 'INCLUIR URS', '202205', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717127, 'INCLUIR URS', '202205', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60715414, 'INCLUIR URS', '202205', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60718845, 'INCLUIR URS', '202205', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60716321, 'INCLUIR URS', '202205', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-06-01')

INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717506, 'INCLUIR URS', '202206', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60716194, 'INCLUIR URS', '202206', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717638, 'INCLUIR URS', '202206', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60719193, 'INCLUIR URS', '202206', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717356, 'INCLUIR URS', '202206', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717797, 'INCLUIR URS', '202206', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717127, 'INCLUIR URS', '202206', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60715414, 'INCLUIR URS', '202206', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60718845, 'INCLUIR URS', '202206', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60716321, 'INCLUIR URS', '202206', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-07-01')

INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717506, 'INCLUIR URS', '202207', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60716194, 'INCLUIR URS', '202207', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717638, 'INCLUIR URS', '202207', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60719193, 'INCLUIR URS', '202207', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717356, 'INCLUIR URS', '202207', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717797, 'INCLUIR URS', '202207', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60717127, 'INCLUIR URS', '202207', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60715414, 'INCLUIR URS', '202207', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60718845, 'INCLUIR URS', '202207', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60716321, 'INCLUIR URS', '202207', 'Ventas del mes de abril, gestionadas por SVH', 'X', '2022-08-01')

*/

DECLARE @ANYOMES VARCHAR(6) = CONVERT(VARCHAR(6),DATEADD(dd,-(DAY(GETDATE())),GETDATE()),112)

BEGIN

	DECLARE @PERIODO_ANT_INC INT;
	SET @PERIODO_ANT_INC = (SELECT MAX(PERIODO_CIERRE) FROM [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] WHERE PERIODO_CIERRE != @ANYOMES AND CONTROL_PERIMETRO = 'INCLUIR URS');

	DELETE FROM [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] WHERE PERIODO_CIERRE = @ANYOMES AND CONTROL_PERIMETRO = 'INCLUIR URS' AND IND_EJECUCION = 'X'

	INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE]
	SELECT SOCIEDAD, UNIDAD_REGISTRAL, CONTROL_PERIMETRO, @ANYOMES PERIODO_CIERRE, COMENTARIOS, IND_EJECUCION, CAST(GETDATE() AS DATE) FECHA_CARGA
	FROM [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE]
	WHERE IND_EJECUCION = 'X' AND PERIODO_CIERRE = @PERIODO_ANT_INC AND CONTROL_PERIMETRO = 'INCLUIR URS'
END 

/*
|| Autor: Jhon Reyes
|| Fecha: 2022.09.08
||	Proceso: Contiene las URs a excluir del perímetro de cartera. 
||				Motivo por lo que se excluyen:
||					- URs Dummies: Son URs que no se gestionan, pero que se han ingresado al sistema por error.
||
|| Periodicidad Ejecución: Se tiene que ejecutar en cada cierre. Mantiene el historico de ejecuciones
*/


--========================================================================================================================================
--																		PERIMETRO. Excluir URs							
--========================================================================================================================================

/*
DELETE FROM [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] WHERE CONTROL_PERIMETRO = 'EXCLUIR URS'


INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60711826, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60711827, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60711828, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60711829, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60711830, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60711831, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(210, 60711904, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(210, 60711905, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(210, 60711906, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(220, 60711907, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(220, 60711908, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(220, 60711909, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(230, 60711833, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(230, 60711834, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(230, 60711835, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(240, 60711910, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(240, 60711911, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(240, 60711913, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(250, 60711914, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(250, 60711915, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(250, 60711916, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(260, 60711917, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(260, 60711918, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(260, 60711919, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(270, 60711920, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(270, 60711921, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(270, 60711922, 'EXCLUIR URS', '202205', 'URs Dummies', 'X', '2022-06-01')

INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60711826, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60711827, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60711828, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60711829, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60711830, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60711831, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(210, 60711904, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(210, 60711905, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(210, 60711906, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(220, 60711907, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(220, 60711908, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(220, 60711909, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(230, 60711833, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(230, 60711834, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(230, 60711835, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(240, 60711910, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(240, 60711911, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(240, 60711913, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(250, 60711914, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(250, 60711915, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(250, 60711916, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(260, 60711917, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(260, 60711918, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(260, 60711919, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(270, 60711920, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(270, 60711921, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(270, 60711922, 'EXCLUIR URS', '202206', 'URs Dummies', 'X', '2022-07-01')

INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60711826, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60711827, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(200, 60711828, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60711829, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60711830, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(201, 60711831, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(210, 60711904, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(210, 60711905, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(210, 60711906, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(220, 60711907, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(220, 60711908, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(220, 60711909, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(230, 60711833, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(230, 60711834, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(230, 60711835, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(240, 60711910, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(240, 60711911, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(240, 60711913, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(250, 60711914, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(250, 60711915, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(250, 60711916, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(260, 60711917, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(260, 60711918, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(260, 60711919, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(270, 60711920, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(270, 60711921, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] VALUES(270, 60711922, 'EXCLUIR URS', '202207', 'URs Dummies', 'X', '2022-08-01')
*/

BEGIN
	DECLARE @PERIODO_ANT_EXC INT;
	SET @PERIODO_ANT_EXC = (SELECT MAX(PERIODO_CIERRE) FROM [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] WHERE PERIODO_CIERRE != @ANYOMES AND CONTROL_PERIMETRO = 'EXCLUIR URS');

	DELETE FROM [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE] WHERE PERIODO_CIERRE = @ANYOMES AND CONTROL_PERIMETRO = 'EXCLUIR URS' AND IND_EJECUCION = 'X'

	INSERT INTO [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE]
	SELECT SOCIEDAD, UNIDAD_REGISTRAL, CONTROL_PERIMETRO, @ANYOMES PERIODO_CIERRE, COMENTARIOS, IND_EJECUCION, CAST(GETDATE() AS DATE) FECHA_CARGA
	FROM [JUNO].[TMP_MODIFICACION_PERIMETRO_CIERRE]
	WHERE IND_EJECUCION = 'X' AND PERIODO_CIERRE = @PERIODO_ANT_EXC AND CONTROL_PERIMETRO = 'EXCLUIR URS'
END

